# -*- encoding: utf-8 -*-
# stub: ostiary 0.11.1 ruby lib

Gem::Specification.new do |s|
  s.name = "ostiary".freeze
  s.version = "0.11.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jacques Hakvoort".freeze]
  s.date = "2021-05-27"
  s.description = "    Ostiary is a security gem for your (rails) controllers & actions.\n    It employs a before_filter-like call to set policies per controller/action.\n    You can pass your own security call in block and handle the PolicyBroken\n    yourself.\n    Policies are also inherited from parent classes.\n    From wikipedia: \"An ostiarius, a Latin word sometimes anglicized as ostiary\n    but often literally translated as porter or doorman, originally was a\n    servant or guard posted at the entrance of a building. See also gatekeeper.\"\n".freeze
  s.email = ["jacques.hakvoort@nedap.com".freeze]
  s.homepage = "https://github.com/nedap/ostiary".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Limit access to (rails) controllers/actions with policies".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 2.2.10"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12.3.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rspec_junit_formatter>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 2.2.10"])
    s.add_dependency(%q<rake>.freeze, [">= 12.3.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rspec_junit_formatter>.freeze, [">= 0"])
  end
end
